Page Menu
Home
Phorge
Search
Configure Global Search
Log In
Files
F117878742
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Authored By
Unknown
Size
1 KB
Referenced Files
None
Subscribers
None
View Options
diff --git a/drydocker/autoconf/build.sh b/drydocker/autoconf/build.sh
new file mode 100755
index 0000000..518617f
--- /dev/null
+++ b/drydocker/autoconf/build.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -x
+
+docker run -it \
+ --attach=stdout \
+ --attach=stderr \
+ --detach=false \
+ -e "ID=${id}" \
+ -e "COMMIT=${commit}" \
+ -e "DIFFERENTIAL=${differential}" \
+ -e "PACKAGE=${package}" \
+ -e "PHAB_CERT=${PHAB_CERT}" \
+ -e "PHAB_USER=${PHAB_USER}" \
+ -e "PHID=${phid}" \
+ -e "URI=${uri}" \
+ -e "RO_URI=${ro_uri}" \
+ -e "VCS=${vcs}" \
+ -e "TEST_BUILD=${test_build}" \
+ -e "TEST_FUNCTIONAL=${test_functional}" \
+ -e "TEST_INTEGRATION=${test_integration}" \
+ -e "TEST_PERFORMANCE=${test_performance}" \
+ -e "TEST_UNIT=${test_unit}" \
+ kolab/ci-maipo
+
+exit $?
diff --git a/drydocker/autoconf/test_build.sh b/drydocker/autoconf/test_build.sh
new file mode 100755
index 0000000..83b3c97
--- /dev/null
+++ b/drydocker/autoconf/test_build.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+pushd /srv/autoconf.git
+
+../generic_php_lint.sh
+
+retval=$(_shell generic_php_lint)
+
+if [ ${retval} -ne 0 ]; then
+ exit ${retval}
+fi
+popd
File Metadata
Details
Attached
Mime Type
text/x-diff
Expires
Sun, Apr 5, 10:29 PM (2 w, 5 d ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
18831429
Default Alt Text
(1 KB)
Attached To
Mode
rQA stick
Attached
Detach File
Event Timeline